Package fr.gouv.vitam.metadata.api.model

# Class ObjectGroupPerOriginatingAgency

java.lang.Object
fr.gouv.vitam.metadata.api.model.ObjectGroupPerOriginatingAgency

public class ObjectGroupPerOriginatingAgency extends Object
ObjectGroupPerOriginatingAgency class describing ObjectGroup

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectGroupPerOriginatingAgency()`
  Constructor
  `ObjectGroupPerOriginatingAgency(String operation, String agency, long numberOfObject, long numberOfGOT, long size)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAgency()`
  Getter
  `long`
  `getNumberOfGOT()`
  getNumberOfGOT
  `long`
  `getNumberOfObject()`
  getNumberOfObject
  `String`
  `getOperation()`
  Getter
  `long`
  `getSize()`
  getSize
  `ObjectGroupPerOriginatingAgency`
  `setAgency(String agency)`
  Setter
  `void`
  `setNumberOfGOT(long numberOfGOT)`
  setNumberOfGOT
  `void`
  `setNumberOfObject(long numberOfObject)`
  setNumberOfObject
  `void`
  `setOperation(String operation)`
  Setter
  `void`
  `setSize(long size)`
  setSize

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectGroupPerOriginatingAgency

    public ObjectGroupPerOriginatingAgency()
    Constructor

  - ### ObjectGroupPerOriginatingAgency

    public ObjectGroupPerOriginatingAgency(String operation, String agency, long numberOfObject, long numberOfGOT, long size)
    Constructor
    Parameters:
      `operation` - operation id
      `agency` - originating agency
      `numberOfObject` - total of objects in the objects groups
      `numberOfGOT` - total of objects groups
      `size` - size of al objects

- ## Method Details

  - ### getOperation

    public String getOperation()
    Getter
    Returns:
      operation id

  - ### setOperation

    public void setOperation(String operation)
    Setter
    Parameters:
      `operation` -

  - ### getNumberOfObject

    public long getNumberOfObject()
    getNumberOfObject
    Returns:
      numberOfObject

  - ### setNumberOfObject

    public void setNumberOfObject(long numberOfObject)
    setNumberOfObject
    Parameters:
      `numberOfObject` -

  - ### getNumberOfGOT

    public long getNumberOfGOT()
    getNumberOfGOT
    Returns:
      numberOfGOT

  - ### setNumberOfGOT

    public void setNumberOfGOT(long numberOfGOT)
    setNumberOfGOT
    Parameters:
      `numberOfGOT` -

  - ### getSize

    public long getSize()
    getSize
    Returns:
      size

  - ### setSize

    public void setSize(long size)
    setSize
    Parameters:
      `size` -

  - ### getAgency

    public String getAgency()
    Getter
    Returns:
      agency

  - ### setAgency

    public ObjectGroupPerOriginatingAgency setAgency(String agency)
    Setter
    Parameters:
      `agency` -